* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Helvetica Neue', sans-serif;
}

body {
    background: #0e0e0e;
    color: #fff;
}

/* NAV */
.nav {
    position: fixed;
    top: 0;
    width: 100%;
    padding: 20px 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 10;
}

.nav ul {
    list-style: none;
    display: flex;  
    gap: 30px;
}

.nav a {
    color: white;
    text-decoration: none;
    font-weight: 500;
}

/* HERO */
.hero {
    height: 50vh;
    background: url("images/banner.png") center/cover no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 40px;
    margin: -45px;
}



.hero-text h1 {
    font-size: clamp(3rem, 6vw, 6rem);
    line-height: 1.1;
    padding-left: 10%;
    text-shadow: 0 4px 12px rgba(0, 0, 0, 0.8);
}

.hero-text p {
    margin-top: 20px;
    font-size: 1.2rem;
    opacity: 0.8;
    padding-left: 45px;
    text-shadow: 0 4px 12px rgba(0, 0, 0, 0.8);
    color: #161414;
}

/* SEKCJE */
section {
    padding: 120px 40px;
    max-width: 1400px;
    margin: auto;
}

h2 {
    font-size: 2.5rem;
    margin-bottom: 40px;
}

/* ABOUT */
.about p {
    max-width: 700px;
    font-size: 1.1rem;
    line-height: 1.6;
}

.SONY1 {
    width: 400px;
    height: 300px;
}

.SONY2 {
    width: 185px;
    height: 185px;
    margin-bottom: 50px;
}

.SONY3 {

    width: 440px;
    height: 220px;
    margin-bottom: 40px;
}



/* PORTFOLIO */
.filters {
    margin-bottom: 40px;
}

.filters button {
    background: none;
    border: 1px solid #fff;
    color: white;
    padding: 10px 20px;
    margin-right: 10px;
    cursor: pointer;
}

.filters button.active {
    background: white;
    color: black;
}

.gallery {
    columns: 3;
    column-gap: 20px;
}

.item {
    margin-bottom: 20px;
    overflow: hidden;
}

.item img {
    width: 100%;
    display: block;
    transition: transform 0.4s ease;
}

.item img:hover {
    transform: scale(1.05);
}

/* CONTACT */
.contact a {
    color: white;
    font-size: 1.2rem;
    text-decoration: underline;
}

.contact {
    font-size: 30px;
}

/* FOOTER */
footer {
    text-align: center;
    padding: 40px;
    opacity: 0.5;
}

/* RESPONSIVE */
@media (max-width: 900px) {
    .gallery {
        columns: 2;
    }
}

@media (max-width: 600px) {
    .gallery {
        columns: 1;
    }
}
